## org.apache.batik.ext.awt.image.codec.imageio
Class ImageIOJPEGImageWriter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.imageio.ImageIOImageWriter
          org.apache.batik.ext.awt.image.codec.imageio.ImageIOJPEGImageWriter

All Implemented Interfaces:
  java.util.EventListener, javax.imageio.event.IIOWriteWarningListener, ImageWriter

    public class ImageIOJPEGImageWriter

extends ImageIOImageWriter

ImageWriter that encodes JPEG images using Image I/O.

Constructor Summary
`ImageIOJPEGImageWriter()` Main constructor.

Method Summary
`protected javax.imageio.ImageWriteParam` `getDefaultWriteParam(javax.imageio.ImageWriter iiowriter, java.awt.image.RenderedImage image, ImageWriterParams params)` Returns the default write parameters for encoding the image.
`protected javax.imageio.metadata.IIOMetadata` `updateMetadata(javax.imageio.metadata.IIOMetadata meta, ImageWriterParams params)` Updates the metadata information based on the parameters to this writer.

Methods inherited from class org.apache.batik.ext.awt.image.codec.imageio.ImageIOImageWriter
`getChildNode, getMIMEType, warningOccurred, writeImage, writeImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOJPEGImageWriter

    public ImageIOJPEGImageWriter()

  Main constructor.

Method Detail

### updateMetadata

    protected javax.imageio.metadata.IIOMetadata updateMetadata(javax.imageio.metadata.IIOMetadata meta,
                                                                ImageWriterParams params)

  Description copied from class: `ImageIOImageWriter`
  Updates the metadata information based on the parameters to this writer.

  Overrides:
    `updateMetadata` in class `ImageIOImageWriter`
  Parameters:
    `meta` - the metadata
    `params` - the parameters
  Returns:
    the updated metadata
  See Also:
    `ImageIOImageWriter.updateMetadata(javax.imageio.metadata.IIOMetadata, ImageWriterParams)`

### getDefaultWriteParam

    protected javax.imageio.ImageWriteParam getDefaultWriteParam(javax.imageio.ImageWriter iiowriter,
                                                                 java.awt.image.RenderedImage image,
                                                                 ImageWriterParams params)

  Description copied from class: `ImageIOImageWriter`
  Returns the default write parameters for encoding the image.

  Overrides:
    `getDefaultWriteParam` in class `ImageIOImageWriter`
  Parameters:
    `iiowriter` - The IIO ImageWriter that will be used
    `image` - the image to be encoded
    `params` - the parameters for this writer instance
  Returns:
    the IIO ImageWriteParam instance
  See Also:
    `ImageIOImageWriter.getDefaultWriteParam(javax.imageio.ImageWriter, java.awt.image.RenderedImage, ImageWriterParams)`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.